#
# spec file for package pcsc-acr38
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           pcsc-acr38
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  libusb-devel
BuildRequires:  pcsc-lite-devel
BuildRequires:  pkg-config
BuildRequires:  unzip
Version:        1.7.11
Release:        7.3
%define envelope_tar_version 101_P
%define tar_version 100711_P
Url:            http://www.acs.com.hk/drivers-manual.php?driver=ACR38
Summary:        PC/SC IFD Handler for the ACR38 Smart Card Reader
License:        GPL-2.0+
Group:          Productivity/Security
# This source is a zip that contains two tar files with drivers, one for
# non-CCID devices, one for CCID devices.
Source:         ACR38_Driver_Lnx_%{envelope_tar_version}.zip
Patch2:         ACR38_LINUX_100705_P-usb.diff
Patch3:         ACR38_LINUX_100710-automake-cleanup.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       pcsc-lite
Supplements:    modalias(usb:v072Fp9000d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v072Fp90CFd*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v072Fp9006d*dc*dsc*dp*ic*isc*ip*)
%define ifddir %(pkg-config libpcsclite --variable=usbdropdir)

%description
This package contains a driver for the ACR 38 smart card reader
produced by ACS.

This driver is meant to be used with the PCSC-Lite daemon from the
pcsc-lite package.

%package -n libacr38ucontrol0
Summary:        Library for PC/SC IFD Handler for the ACR38 Smart Card Reader
Group:          System/Libraries

%description -n libacr38ucontrol0
This package contains a driver for the ACR 38 smart card reader
produced by ACS.

This driver is meant to be used with the PCSC-Lite daemon from the
pcsc-lite package.

%package devel
Summary:        PC/SC IFD Handler for the ACR38 Smart Card Reader
Group:          Development/Libraries/C and C++
Requires:       libacr38ucontrol0 = %{version}
Requires:       pcsc-lite-devel

%description devel
This package contains a driver for the ACR 38 smart card reader
produced by ACS.

This driver is meant to be used with the PCSC-Lite daemon from the
pcsc-lite package.

%prep
%setup -q -c
cd non-ccid
tar -jxf ACR38_LINUX_%{tar_version}.tar.bz2
cd ACR38_LINUX_%{tar_version}
mv src/driver/Info.plist src/driver/Info.plist.in
%patch2
%patch3

%build
cd non-ccid/ACR38_LINUX_%{tar_version}
autoreconf -f -i
%configure\
	--disable-static
make %{?jobs:-j%jobs}

%install
cd non-ccid/ACR38_LINUX_%{tar_version}
%makeinstall
rm $RPM_BUILD_ROOT%{_libdir}/*.la $RPM_BUILD_ROOT%{ifddir}/*/*/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -n libacr38ucontrol0 -p /sbin/ldconfig

%postun -n libacr38ucontrol0 -p /sbin/ldconfig

%files
%defattr(-,root,root)
# NEWS is empty
%doc non-ccid/ACR38_LINUX_%{tar_version}/AUTHORS non-ccid/ACR38_LINUX_%{tar_version}/COPYING non-ccid/ACR38_LINUX_%{tar_version}/ChangeLog non-ccid/ACR38_LINUX_%{tar_version}/README
%{ifddir}/*

%files -n libacr38ucontrol0
%defattr(-,root,root)
%{_libdir}/libacr38ucontrol.so.0
%{_libdir}/libacr38ucontrol.so.0.*

%files devel
%defattr(-,root,root)
%{_includedir}/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Wed Jul 11 2012 sbrabec@suse.cz
- Update to version 1.7.11:
  * Add ACR38U-SAM support.
  * Fix the problem when receiving a buffer(data+SW) of length in
    times of 64 bytes.
* Sun Nov 20 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Mon Feb 15 2010 seife@opensuse.org
- refresh patch to fix build (did this ever work?)
* Wed Oct  7 2009 sbrabec@suse.cz
- Updated to version 1.7.10:
  * fixed special handling of PPS for old firmware
  * support for ACS CryptoMate
  * ported to libusb
  * other fixes
* Wed Apr  8 2009 sbrabec@suse.cz
- Use modalias supplements instead of eID issuer locales.
- Split according to shared library packaging policy.
- Require pcsc-lite.
* Mon Sep 15 2008 sbrabec@suse.cz
- Fixed implicit declaration.
* Thu Jul 26 2007 sbrabec@suse.cz
- Applied patch changing PCSCLITE_USB_PATH (#259973).
* Thu May 31 2007 sbrabec@suse.cz
- Fixed module path.
- Removed broken patch changing PCSCLITE_USB_PATH to /dev/bus/usb.
  (#259973).
* Fri May 25 2007 sbrabec@suse.cz
- Updated to version 1.7.9:
  * Fixed an error in the target location of libacr38ucontrol.pc
  * Mac only release that includes Universal Binary
  * Issue PPS in a loop to handle the case when PTS1=0x95 for
    older ACR38
- Fixes unplug-replug without restarting pcscd (#259973).
- Added devel subpackage.
- Use classic versioning schema (used in upstream ChangeLog).
* Mon Nov 27 2006 mjancar@suse.cz
- use /dev/bus/usb instead of /proc/bus/usb (#223740)
* Tue Nov  7 2006 prusnak@suse.cz
- fixed ucRead size [#186108]
* Sun Apr  2 2006 sndirsch@suse.de
- added missing locale provides (Bug #161867)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan  3 2006 mjancar@suse.cz
- move to separate source package
* Mon Jan  2 2006 stark@suse.de
- removed obsolete hotplug stuff for cyberjack
- Updated pcsc-lite to version 1.2.9-beta9
- Updated CCID driver to 0.9.4
- Updated GemPC driver to 1.0.0
- package pkgconfig files to be able to build drivers outside
  the package
* Tue Dec 20 2005 ro@suse.de
- removed unpackaged man-page symlinks
* Tue Nov 29 2005 ro@suse.de
- remove keeper from nfb (unused)
* Mon Oct 10 2005 stark@suse.de
- Updated towitoko driver to 2.0.7 and install USB bundle
* Wed Sep 21 2005 stark@suse.de
- Repackaged CCID as bundle for USB usage (#116497)
* Tue Sep 20 2005 stark@suse.de
- handle old reader.conf in upgrade case
- compile with -fno-strict-aliasing
- fixed missing return in ctapi-cyberjack
* Sat Sep 17 2005 stark@suse.de
- Updated pcsc-lite to version 1.2.9beta8 (#116497)
  * use /etc/reader.conf.d/
  * adapted init script to create /etc/reader.conf
- Updated cyberjack driver to version 2.0.9
  * use rpath for cyberjack tools
- Updated ccid driver to version 0.9.3 (#116497)
- Use RPM_OPT_FLAGS everywhere
- Fixed serious compiler warnings
* Mon Sep  5 2005 skh@suse.de
- fix off-by-one error in hotplug_libusb.c [#112964]
* Mon Aug 29 2005 skh@suse.de
- Remove unnecessary files from pcsc-acr38 again [#112927]
* Mon Aug 29 2005 skh@suse.de
- package ACR38 driver in correct bundle format [#112927]
- remove orphaned /var/run/pcscd.pub when necessary [#112928]
- update ACR38u driver to version 100705 to fix crash when reader
  is plugged in [#112964]
* Tue Aug 16 2005 skh@suse.de
- Updated ACR38u driver to version 100703
* Tue Jul 26 2005 okir@suse.de
- Added ACR38u driver
* Tue Jul 26 2005 okir@suse.de
- Updated description in init script (#79287)
* Thu Jun 16 2005 meissner@suse.de
- use RPM_OPT_FLAGS in 1 more driver
- added includes to avoid implict declaration of memcpy and similar.
* Mon Apr 18 2005 ro@suse.de
- make it build with gcc-4
* Thu Mar 17 2005 okir@suse.de
- Disable support for extended-apdus, it eats 32MB of memory (#73629)
* Thu Mar 10 2005 okir@suse.de
- Fix default search location for USB bundles
* Fri Jan 21 2005 okir@suse.de
- Updated to latest upstream version
- Updated several drivers
- Added CCID driver
- Provide a more informative readers.conf file (#42620)
* Thu Jan 20 2005 ro@suse.de
- drop subpackage gpr400
* Wed Apr 28 2004 ro@suse.de
- compile formaticc with no-strict-aliasing
- fix unused return type in musclecard.c
* Wed Mar 31 2004 okir@suse.de
- Properly install testpcsc, formaticc (#37625)
- Build towitoko driver with --enable-win32-com
* Thu Mar 18 2004 okir@suse.de
- cyberjack apps installed in /bin should be executable (#36409)
* Sat Jan 10 2004 adrian@suse.de
- add %%run_ldconfig
* Tue Aug  5 2003 mge@suse.de
- merge ctapi-cyberjack into pcsc-lite: two additional
  packages are created: ctapi-cyberjack and pcsc-cyberjack
* Thu Jun 26 2003 ro@suse.de
- remove unpackaged files from buildroot
- added directories to filelist
* Fri Nov 29 2002 okir@suse.de
- added -fPIC when building eToken driver
* Fri Nov 29 2002 okir@suse.de
- Updated to latest upstream version
- Included driver for Aladdin eToken PRO
- More GNU auto#*@! headaches
- Various minor fixes
* Wed Aug 28 2002 okir@suse.de
- Moved shared objects to /usr/lib64 on ppc64/s390x (#18421)
* Mon Aug  5 2002 olh@suse.de
- fix initscript, Should-start: setserial hotplug
* Fri Aug  2 2002 okir@suse.de
- added PreReq for insserv_and_fillup
* Wed Jul 31 2002 okir@suse.de
- fixed build problem on s390x (force aclocal.m4 regen)
* Wed Jun 26 2002 ro@suse.de
- use -fPIC when building a shared lib
* Wed Jun 12 2002 okir@suse.de
- fix for bug #15051 (hey, it's a palindrome bug:):
  missing %%doc DRIVERS file; misc silly binaries moved
  out of /usr/bin
* Tue Apr 30 2002 okir@suse.de
- Fixed build problem introduced by previous patch
* Tue Apr 30 2002 okir@suse.de
- updated to latest upstream version
- added drivers for these readers: Towitoko, Schlumberger Reflex 6x,
  Gemplus GPR 400, GemPlus GemPC 410/430
* Tue Apr  9 2002 ro@suse.de
- fixed for latest automake/autoconf
* Wed Feb 13 2002 stark@suse.de
- spec-file cleanup
- LSB compliant init-script
* Mon Jan 14 2002 ro@suse.de
- removed START_PCSCD
* Wed Nov 14 2001 ro@suse.de
- call aclocal
* Sun Aug 26 2001 mge@suse.de
- updated to 1.0.0Beta
- fixed /etc/init.d/pcscd status-handling (bug #9069)
* Thu Jun  7 2001 ro@suse.de
- fix broken Makefile.am
* Mon Apr 23 2001 mge@suse.de
- update to 0.9.1
* Thu Apr 19 2001 mge@suse.de
- created package
